routes/web.php
<?php

use App\Http\Controllers\BookController;
use App\Http\Controllers\SessionController;
use App\Http\Controllers\UsersController;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/
Route::get('/', [\App\Http\Controllers\CategoryController::class, 'index'])->name('home');


Route::resource('category', \App\Http\Controllers\CategoryController::class);

Route::prefix('auth')->name('auth.')->group(function (){
    Route::get('register', [UsersController::class, 'registerForm'])->name('register-form');
    Route::post('register', [UsersController::class, 'store'])->name('register');

    Route::get('login', [SessionController::class, 'loginForm'])->name('login-form');
    Route::post('login', [SessionController::class, 'store'])->name('login');
    Route::delete('log-out', [SessionController::class, 'destroy'])->name('logout');
    Route::get('my-book', [UsersController::class, 'index'])->name('mybook');
    Route::put('users/', [UsersController::class, 'update'])->name('users');
    Route::get('book/{$book}', [BookController::class, 'edit'])->name('edit');

    Route::resource('book', \App\Http\Controllers\BookController::class);

});

resources/views/layout/base.blade.php
<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title> Book store</title>

    <!-- Fonts -->
    <link href="https://fonts.googleapis.com/css?family=Nunito:200,600" rel="stylesheet">
    @vite(['resources/js/app.js'])

</head>
<body>
@include('notifications.alerts')
<div class="div d-flex justify-content-end" >
    @if(auth_user())
        <h6 class="p-4">Hello, {{auth_user()->name}} </h6>
        <form action="{{route('auth.logout')}}" method="post" class="p-2">
            @csrf
            @method('delete')
            <button type="submit" class="btn btn-sm btn-outline-danger">LOGOUT</button>
        </form>
    @else
        <a class="m-2 btn btn-outline-info" href="{{route('auth.register-form')}}">регистрация</a>
        <a class="m-2 btn btn-success" href="{{route('auth.login')}}">авторизация</a>
    @endif
</div>
<div class="container" >

    <h1>Книжная библиотека"</h1>
    @yield('content')

</div>
</body>
</html>